import Command, { flags } from '@oclif/command';
export default abstract class extends Command {
    static flags: {
        loglevel: flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        name: flags.IOptionFlag<string | undefined>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    log(msg: string, level: string): void;
    init(): Promise<void>;
}
