"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* tslint:disabled */
const command_1 = require("@oclif/command");
class default_1 extends command_1.default {
    log(msg, level) {
        switch (level) {
            case 'error':
                // tslint:disable-next-line:no-console
                console.error(msg);
                break;
            case 'warn':
                // tslint:disable-next-line:no-console
                console.warn(msg);
                break;
            case 'info':
                // tslint:disable-next-line:no-console
                console.info(msg);
                break;
            case 'debug':
                // tslint:disable-next-line:no-console
                console.debug(msg);
                break;
            case 'log':
                // tslint:disable-next-line:no-console
                console.log(msg);
                break;
            default:
                // tslint:disable-next-line:no-console
                console.log(msg);
        }
    }
    async init() {
        // do some initialization
        // const {flags} = this.parse(this.constructor)
        // this.flags = flags
    }
}
default_1.flags = {
    loglevel: command_1.flags.string({ options: ['error', 'warn', 'info', 'debug'] }),
    help: command_1.flags.help({ char: 'h' }),
    // flag with a value (-n, --name=VALUE)
    name: command_1.flags.string({ char: 'n', description: 'name to print' }),
    // flag with no value (-f, --force)
    force: command_1.flags.boolean({ char: 'f' }),
};
exports.default = default_1;
