"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const base_1 = require("../base");
class Component extends base_1.default {
    async run() {
        // just prompt for input
        const firstResponses = await inquirer.prompt([
            {
                name: 'type',
                message: 'Select type of component you want to create',
                type: 'list',
                choices: [{ name: 'service' }, { name: 'type' }, { name: 'module' }],
            },
        ]);
        this.log(`You entered: ${firstResponses.type}`, 'error');
    }
}
Component.description = 'create a new lina component';
Component.examples = [
    '$ lina component',
];
Component.args = [
    {
        name: 'new',
        required: true,
        description: 'Create a lina service',
    }
];
exports.default = Component;
