"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const base_1 = require("../base");
class Deploy extends base_1.default {
    async run() {
        // just prompt for input
        const firstResponses = await inquirer.prompt([
            {
                name: 'type',
                message: 'Select deployment option',
                type: 'list',
                choices: [{ name: 'Docker' }, { name: 'Heroku' }, { name: 'Virtual Machine' }],
            },
        ]);
        this.log(`You entered: ${firstResponses.type}`, 'error');
    }
}
Deploy.description = 'Deploy project to cloud';
Deploy.examples = [
    '$ lina deploy',
];
exports.default = Deploy;
